/*
 * $Id: checksum.h 456 2019-06-16 02:47:43Z true $
 * begin 20190612 true
 *
 * nothing special, good enough
 */

#ifndef INC_MATH_CHECKSUM_H_
#define INC_MATH_CHECKSUM_H_



#include <stdint.h>



uint8_t checksum_gen(uint8_t *dat, uint8_t len);
bit checksum_verify(uint8_t *dat, uint8_t len, uint8_t checksum);



#endif /* INC_MATH_CHECKSUM_H_ */
